[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.NameOfIndex

Returns the key name of an item by index

## Declaration

Source position: contnrs.pp line 235

`public function TFPHashList.NameOfIndex(`
`Index: Integer`
`):ShortString;`

## Arguments

`Index` |  | Index of item for which to return name

## Function result

Key name of item Index

## Description

NameOfIndex returns the key name of the item at position Index.

## Errors

If Index is out of the valid range, an exception is raised.

## See also

TFPHashList.HashOfIndex |  | Return the hash valye of an item by index
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindIndexOf |  | Return index of named item.
TFPHashList.FindWithHash |  | Find first element with given name and hash value

The latest version of this document can be found at lazarus-ccr.sourceforge.net .